<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_d0845bff" . "5cd0ddb5e" . "d1d7bd9db" . "996f51" => base64_decode("c291c" . "mNl"), "_6e38cb9e043" . "a07cd69a1711" . "a6704c62a" => base64_decode("cGFy" . "ZW50" . "X2lk"));
use Claromentis\Core\Event\GenericEvent;


class AddFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d0845bff5cd0ddb" . "5ed1d7bd9db996f5" . "1"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6e38cb9e043a07cd69a1711a6704c" . "62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}